<template>
   <li>
      <span :title="person.text" @click.prevent="$emit('remove', person)">
         <span class="chill_denomination">
            <person-text :person="person" :isCut="true"></person-text>
         </span>
      </span>
   </li>
</template>

<script>
import PersonText from 'ChillPersonAssets/vuejs/_components/Entity/PersonText.vue';


export default {
   name: "PersonBadge",
   props: ['person'],
   components: {
      PersonText
   },
   // computed: {
   //    textCutted() {
   //       let more = (this.person.text.length > 15) ?'…' : '';
   //       return this.person.text.slice(0,15) + more;
   //    }
   // },
   emits: ['remove'],
}
</script>

<style lang="css" scoped>
</style>
